Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CommandLineArgumentHelper

    java.lang.Object
      |
      +--com.beasys.commerce.util.CommandLineArgumentHelper

Deprecated. Use `CommandLineArgumentHelper`

public class CommandLineArgumentHelper
extends Object

Convenience helper for handling command line arguments.

Field Summary
`protected static String` | `LINE_FEED` Deprecated.
`static Object` | `REGULAR_ARGS` Deprecated.

Constructor Summary
`CommandLineArgumentHelper()` Deprecated.

Method Summary
`protected static CommandLineArgument` | `getArgument(String aFlag, List args)` Deprecated. Get argument.
`protected static String` | `getUsageText(boolean isRequired, List arguments)` Deprecated. Get usage text.
`protected static boolean` | `isRequired(String aFlag, List args)` Deprecated. Is required.
`static Map` | `mapArguments(String[] args, List arguments)` Deprecated. Map the arguments.
`protected static boolean` | `requiresFlagValue(String aFlag, List args)` Deprecated. Requires flag value.
`static String` | `usage(Class aClass, List arguments)` Deprecated. Usage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_FEED

    protected static final String LINE_FEED

  Deprecated.

### REGULAR_ARGS

    public static final Object REGULAR_ARGS

  Deprecated.

Constructor Detail

### CommandLineArgumentHelper

    public CommandLineArgumentHelper()

  Deprecated.

Method Detail

### usage

    public static String usage(Class aClass,
                               List arguments)

  Deprecated.
  Usage.

  Parameters:
    `aClass` -
    `arguments` -
  Returns:
    `String`

### getUsageText

    protected static String getUsageText(boolean isRequired,
                                         List arguments)

  Deprecated.
  Get usage text.

  Parameters:
    `isRequired` -
    `arguments` -
  Returns:
    `String`

### getArgument

    protected static CommandLineArgument getArgument(String aFlag,
                                                     List args)

  Deprecated.
  Get argument.

  Parameters:
    `aFlag` -
    `args` -
  Returns:
    `CommandLineArgument`

### requiresFlagValue

    protected static boolean requiresFlagValue(String aFlag,
                                               List args)

  Deprecated.
  Requires flag value.

  Parameters:
    `aFlag` -
    `args` -
  Returns:
    `boolean`

### isRequired

    protected static boolean isRequired(String aFlag,
                                        List args)

  Deprecated.
  Is required.

  Parameters:
    `aFlag` -
    `args` -
  Returns:
    `boolean`

### mapArguments

    public static Map mapArguments(String[] args,
                                   List arguments)

  Deprecated.
  Map the arguments.

  Parameters:
    `args` - args from
    `arguments` - list of CommandLineArgument(s).
  Returns:
    `Map` the key is the CommandLineArgument, the value is a List of values for the CommandLineArgument.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved